Bug 509538 - Review Request: perl-CGI-Application-Plugin-ViewCode - Allows you to view the source of a CGI::Application module
Review Request: perl-CGI-Application-Plugin-ViewCode - Allows you to view the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 07:44 EDT by Emmanuel Seyman
Modified: 2009-07-16 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.02-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-07-03 07:44:37 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ViewCode/perl-CGI-Application-Plugin-ViewCode.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ViewCode/perl-CGI-Application-Plugin-ViewCode-1.02-1.fc11.src.rpm
Description:
This plugin works by adding extra run modes (named view_code and view_pod)
to the application. By calling this run mode you can see the source or POD
of the running module (by default) or you can specify which module you
would like to view.
Comment 1 Parag AN(पराग) 2009-07-06 00:25:21 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1455812
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5b8097597431c3e089a9ff8a70281c62d3625273  CGI-Application-Plugin-ViewCode-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=31,  1 wallclock secs ( 0.06 usr  0.01 sys +  0.67 cusr  0.06 csys =  0.80 CPU)
+ Package perl-CGI-Application-Plugin-ViewCode-1.02-1.fc12.noarch =>
Provides: perl(CGI::Application::Plugin::ViewCode) = 1.02
Requires: perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-07-06 06:16:02 EDT
Thanks! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-ViewCode
Short Description: Allows you to view the source of a CGI::Application module
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-07-07 00:07:37 EDT
cvs done.
Comment 4 Fedora Update System 2009-07-07 03:37:43 EDT
perl-CGI-Application-Plugin-ViewCode-1.02-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-ViewCode-1.02-1.fc11
Comment 5 Fedora Update System 2009-07-11 13:34:06 EDT
perl-CGI-Application-Plugin-ViewCode-1.02-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-ViewCode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7538
Comment 6 Fedora Update System 2009-07-16 03:27:36 EDT
perl-CGI-Application-Plugin-ViewCode-1.02-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.